@ECHO OFF
SETLOCAL

REM * Mon Feb 02 11:38:02 JST 2015 Naoyuki Sawa
REM - コマンドの実行時間を計測するスクリプトです。
REM - 下記のサイトに載っていたスクリプトをほぼそのまま使用させて頂きました。
REM   │「suz-lab - blog: Windowsのコマンドプロンプトで実行時間を計測」
REM   │(http://blog.suz-lab.com/2008/08/windows.html)

REM --- 開始時間の取得 ---
SET B_TIME=%TIME%
SET B_RESULT=%B_TIME:~9,2%
SET /A B_RESULT=B_RESULT+%B_TIME:~6,2%*100
SET /A B_RESULT=B_RESULT+%B_TIME:~3,2%*6000
SET /A B_RESULT=B_RESULT+%B_TIME:~0,2%*360000

REM --- 実行時間計測プログラム実行 ---
CALL %*

REM --- 終了時間の取得 ---
SET E_TIME=%TIME%
SET E_RESULT=%E_TIME:~9,2%
SET /A E_RESULT=E_RESULT+%E_TIME:~6,2%*100
SET /A E_RESULT=E_RESULT+%E_TIME:~3,2%*6000
SET /A E_RESULT=E_RESULT+%E_TIME:~0,2%*360000

REM --- 実行時間の取得 ---
SET /A DIFF=E_RESULT-B_RESULT
ECHO %DIFF%
